require "psych"
require "digest/sha1"
require "digest/sha2"

checksums = { "SHA1" => {}, "SHA512" => {} }
ARGV.each do |f|
  b = File.binread(f)
  checksums["SHA1"][f] = Digest::SHA1.hexdigest(b)
  checksums["SHA512"][f] = Digest::SHA512.hexdigest(b)
end
File.write("checksums.yaml", Psych.dump(checksums))
